/**
 * Licensed Materials - Property of IBM
 *
 * IBM Cognos Products: BI Glass
 *
 * Copyright IBM Corp. 2015
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define([], function() {
	'use strict';

	var SampleAction = function(){
		
		/**
		 * Called by the AppController whenever this view is created
		 *
		 * @public
		 * @returns {Promise} promise resolved to the root DOM element for this view.
		 */
		this.isVisible = function(context, target) {
			return target.options[0].type === 'report';
		},
		
		/**
		 * Called by the AppController whenever this view is destroyed
		 *
		 * @public
		 */
		this.execute = function(context, target) {
			var info = 'This sample menu item extension opens an alert.\nThe alert contains information about the selected report.\n\nType: ' + target.options[0].type + '\nName: ' + target.options[0].name + '\nID: ' + target.options[0].id;
			alert(info);
		}
		
		

	};

	return SampleAction;

});
